package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.OpenedProducts;
import com.diagbot.mapper.OpenedProductsMapper;
import com.diagbot.service.OpenedProductsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 已开通产品 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@Service
public class OpenedProductsServiceImpl extends ServiceImpl<OpenedProductsMapper, OpenedProducts> implements OpenedProductsService {

    @Autowired
    OpenedProductsMapper openedProductsMapper;

    @Override
    public IPage<OpenedProducts> selectOpendInfoByUserId(Page<OpenedProducts> page, int userId) {
        return baseMapper.selectOpendInfoByUserId(page,userId);
    }

    /**
     * 查询已开通产品
     * @param map 查询条件
     * @return
     */
    public List<OpenedProducts> selectOpenedProducts(Map<String,Object> map){
        return baseMapper.selectOpenedProducts(map);
    }

    @Override
    public List<OpenedProducts> getByAppkeyAndSecret(Map<String, Object> map) {
        return openedProductsMapper.getByAppkeyAndSecret(map);
    }
}
